Bug 1209910 - [RFE] Report guests Buffered/Cached memory - DWH
Summary: [RFE] Report guests Buffered/Cached memory - DWH
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-dwh
Version: 3.6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ovirt-3.6.0-rc
: 3.6.0
Assignee: Shirly Radco
QA Contact: Petr Matyáš
URL:
Whiteboard:
Depends On: 1024007 1024010 1203189
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-08 12:46 UTC by Shirly Radco
Modified: 2019-04-28 09:12 UTC (History)
19 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Feature: Added collection of guests Buffered/Cached memory to the etl process. Reason: This was added because Some applications, like Oracle Directory Server, use cached memory and never release it. Users need to take this memory into account when planning the memory requirements. And collecting them will allow to run reports that include them. Result: Data is collected every as samples, Hourly and Daily.
Clone Of: 1203189
Environment:
Last Closed: 2016-03-09 21:23:16 UTC
oVirt Team: Infra
Target Upstream Version:
sherold: Triaged+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:0404 normal SHIPPED_LIVE rhevm-dwh bug fix and enhancement update 2016-03-10 01:29:45 UTC
oVirt gerrit 35954 None None None Never
oVirt gerrit 41961 master MERGED history: Collect vm chached / buffered memory Never

Description Shirly Radco 2015-04-08 12:46:05 UTC
+++ This bug was initially created as a clone of Bug #1203189 +++

+++ This bug was initially created as a clone of Bug #1024010 +++

Some applications, like Oracle Directory Server, use cached memory and never release it. Users need to take this memory into account when planning the memory requirements.
Please report guests Buffered/Cached memory in addition to used memory, currently reported as a percent bar.
I'd suggest to add a field in Guest General sub-tab with "Free: X, Buffered: Y, Cached: Z."

--- Additional comment from Michal Skrivanek on 2014-06-13 16:16:27 CEST ---

added way after 3.5 dates.
moving out, please bring up for future release planning sessions

--- Additional comment from Scott Herold on 2015-02-05 15:36:46 CET ---

Yaniv, Is there a VM Memory report that we could look to add this additional data to DWH for now that we can capture this?  If so, I'd like to look to target a clone of this BZ for 3.6 for DWH/Reports.

--- Additional comment from Yaniv Dary on 2015-02-19 17:19:31 CET ---

(In reply to Scott Herold from comment #2)
> Yaniv, Is there a VM Memory report that we could look to add this additional
> data to DWH for now that we can capture this?  If so, I'd like to look to
> target a clone of this BZ for 3.6 for DWH/Reports.

We need engine to collect it, once it's in the engine db it should not be a problem to add it to dwh and reports.

--- Additional comment from Shirly Radco on 2015-04-02 08:19:57 EDT ---

I see that this data was added to the engine, to vm_dynamic.
What report should include this. Is this relevant for capacity planing (inventory) or a Trend report ?

To clone this also to DWH?

--- Additional comment from Yaniv Dary on 2015-04-08 03:59:11 EDT ---

(In reply to Shirly Radco from comment #1)
> I see that this data was added to the engine, to vm_dynamic.
> What report should include this. Is this relevant for capacity planing
> (inventory) or a Trend report ?

I should be added to ad hoc domains

> 
> To clone this also to DWH?

Yes, to track adding this to DWH.

Comment 5 errata-xmlrpc 2016-03-09 21:23:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-0404.html


Note You need to log in before you can comment on or make changes to this bug.